Package org.apache.wiki.api.filters

# Class BasePageFilter

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter

All Implemented Interfaces:
  `PageFilter`

public class BasePageFilter extends Object implements PageFilter
Provides a base implementation of a PageFilter. None of the callbacks do anything, so it is a good idea for you to extend from this class and implement only methods that you need.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Engine`
`m_engine`

## Constructor Summary

Constructors
Constructor
Description
`BasePageFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(Engine engine, Properties properties)`
If you override this, you should call super.initialize() first.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.filters.PageFilter

`destroy, postSave, postTranslate, preSave, preTranslate`

## Field Details

### m_engine

protected Engine m_engine

## Constructor Details

### BasePageFilter

public BasePageFilter()

## Method Details

### initialize

public void initialize(Engine engine, Properties properties) throws FilterException
If you override this, you should call super.initialize() first. Is called whenever the a new PageFilter is instantiated and reset.

Specified by:
  `initialize` in interface `PageFilter`
Parameters:
  `engine` - The Engine which owns this PageFilter
  `properties` - The properties ripped from filters.xml.
Throws:
  `FilterException` - If the filter could not be initialized. If this is thrown, the filter is not added to the internal queues.